package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipRepairDetail;
import com.patzn.lims.equip.vo.LmsEquipRepairDetailVO;

import java.util.List;

/**
 * <p>
 * 仪器维修详情信息表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-30
 */
public interface ILmsEquipRepairDetailService extends IBaseService<LmsEquipRepairDetail> {

    Page<LmsEquipRepairDetail> page(Page<LmsEquipRepairDetail> page, LmsEquipRepairDetail lmsEquipRepairDetail);

    List<LmsEquipRepairDetailVO> listVO(LmsEquipRepairDetailVO lmsEquipRepairDetailVO);


    boolean saves(Long[]ids,LmsEquipRepairDetail lmsEquipRepairDetail);

    List<LmsEquipRepairDetail>vagueInput(String name ,String value);

    LmsEquipRepairDetailVO getVOById(Long id);
}
